%ifarch %{ix86}
%global machine_type_name ia32
%endif
%ifarch x86_64
%global machine_type_name x64
%endif

Name:           gummiboot
Version:        45
Release:        %mkrel 1
Summary:        Simple EFI Boot Manager
Group:		System/Kernel and hardware
ExclusiveArch:  %{ix86} x86_64
License:        LGPLv2+
URL:            http://freedesktop.org/wiki/Software/gummiboot
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  gnu-efi-devel
BuildRequires:  gnu-efi
BuildRequires:  pkgconfig
BuildRequires:  %{_lib}blkid-devel
BuildRequires:  %{_lib}xslt-devel
BuildRequires:  docbook-style-xsl
Requires:	gnu-efi

%description
gummiboot is a simple UEFI boot manager which executes configured EFI
images. The default entry is selected by a configured pattern (glob)
or an on-screen menu.

gummiboot operates on the EFI System Partition (ESP) only. gummiboot
reads simple and entirely generic boot loader configuration files;
one file per boot loader entry to select from.

Configuration file fragments, kernels, initrds, other EFI images need
to reside on the ESP.

%prep
%setup -q

%build
%configure2_5x \
  --libexecdir=%{_prefix}/lib
make V=1 %{?_smp_mflags}

%install
rm -rf %buildroot
%make_install

%post
/usr/bin/gummiboot update >/dev/null 2>&1 || :

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/gummiboot
%{_mandir}/man8/*
%dir %{_prefix}/lib/gummiboot
%{_prefix}/lib/gummiboot/gummiboot%{machine_type_name}.efi

%clean
rm -rf %buildroot


%changelog
* Fri May 23 2014 bb <bb> 45-1pclos2014
- import into plcos
